/* CSS Table definition for Daylight Saving Time Table */

#TablesTable
{
font-family:"Trebuchet MS", Arial, Helvetica, sans-serif;
width:95%;
border-collapse:collapse;
margin:auto;
}


#TablesTable td, #TablesTable th 
{
font-size:1.1em;
/* border:2px solid #AA00E4;  */
border:2px solid #000087;
padding:3px 7px 2px 7px;
}


#TablesTable th 
{
font-size:1.2em;
text-align:center;
padding-top:5px;
padding-bottom:4px;
/* background-color:#8000dd; to 6700ce ba55d3  9400d3 :#9932CC  #0004FE */
background-color:#0004FE;

color:#fff;
}

/* ********************************************************************************  */

/* CSS Source
https://adrianroselli.com/2020/01/fixed-table-headers.html

 copied section from FixedHeder.css
*/

/* ********************************************************************************  */

/* ADDED Mar-27-2020 08:14  Works for a SINGLE Row Header ************************** */
/* Fixed Headers */

th {
  position: -webkit-sticky;
  position: sticky;
  top: 0;
  z-index: 2;

}

th[scope=row] {
  position: -webkit-sticky;
  position: sticky;
  left: 0;
  z-index: 1;
}

th[scope=row] {
  vertical-align: top;
  color: inherit;
  background-color: inherit;
  background: linear-gradient(90deg, transparent 0%, transparent calc(100% - .05em), #d6d6d6 calc(100% - .05em), #d6d6d6 100%);
}

table:nth-of-type(2) th:not([scope=row]):first-child {
  left: 0;
  z-index: 3;

/* Caused some problems for me ... JIF ... seems to work without this

  background: linear-gradient(90deg, #666 0%, #666 calc(100% - .05em), #ccc calc(100% - .05em), #ccc 100%); 

  background: linear-gradient(90deg, ##AA00E4 0%, #AA00E4 calc(100% - .05em), #ccc calc(100% - .05em), #ccc 100%);
*/
}

/* Strictly for making the scrolling happen. */body {
  font-family: "Segoe UI", -apple-system, BlinkMacSystemFont, Roboto,
    Oxygen-Sans, Ubuntu, Cantarell, "Helvetica Neue", sans-serif;
  line-height: 1.4;
  color: #333;
/* background-color: #fff; */ /* This prevented my Select Background Color from working */
}

*********************************************************************    END of ADD  */
/* ********************************************************************************  */

#TablesTable tr.alt td 
{
color:#000;
background-color:#B0DEFD;
/* background-color:#ffdcff; */  /* Original colour */
}


#TablesTable tr.reg td 
{
color:#000;
background-color:#91B4FD;
/* background-color:#ffdcff; */  /* Original colour */
}


#TablesTable tr.currentyear td 
{
color:#000;
background-color:#9EFF00;

}


/*        Updated with ODD EVEN declaration to simplify the data entry  */

#TablesTable 
tr:nth-child(even) 
{background-color: #B0DEFD;}          /* Light Green */ 

#TablesTable 
tr:nth-child(odd)  
{background-color: #91B4FD;}          /* Darker Light Green */

/* Commenting out the hover feature ***********************************************/
#TablesTable
tr:hover {background-color:#EEA6FF;}
/* tr:hover {background-color:#29BFF7;} */


